// packageH/circleCommunity/circleMyCircle/circleMyCircle.js
var app = getApp();
Page({
  /**
   * 页面的初始数据
   */
  data: {
    tabsIndex: 0,
    tabStatusIndex: 0,

    page: 1, //分页数，当前页数
    isLoadMore: true, //判断是否要加载更多的标志
    total_page: 0, //总页数
    listData: [],
    networkLoading: false,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getListData();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {},

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {},

  gotoCircleDetails(evt) {
    let { tabsIndex, tabStatusIndex } = this.data;
    if (tabsIndex == 1 || tabStatusIndex == 1) {
      let id = evt.currentTarget.dataset.id;
      wx.navigateTo({
        url: "/packageH/circleCommunity/circleDetails/circleDetails?circleId=" + id,
      });
    }
  },

  setTabsIndex(evt) {
    let index = evt.currentTarget.dataset.index;
    this.setData({
      networkLoading: false,
      tabsIndex: index,
    });
    this.getListData();
  },

  setTabStatusIndex(evt) {
    let index = evt.currentTarget.dataset.index;
    this.setData({
      networkLoading: false,
      tabStatusIndex: index,
    });
    this.getListData();
  },

  initData() {
    this.setData({
      page: 1,
      total_page: 0,
      isLoadMore: true,
    });
  },

  outCircle(evt) {
    let circle_id = evt.currentTarget.dataset.id;
    let index = evt.currentTarget.dataset.index;
    wx.showModal({
      title: "是否确认退出该圈子",
      content: "注：付费圈子退出后再次去圈子需交费",
      success: (res) => {
        console.log(res);
        if (res.confirm) {
          console.log("点击确定");
          this.pushOutCircle(circle_id, index);
        } else if (res.cancel) {
          console.log("用户点击取消");
        }
      },
    });
  },

  pushOutCircle(circle_id, index) {
    let urlStr = app.getNetAddresss("plugin.circle.frontend.circle.quit-circle");
    app._postNetWork({
      url: urlStr,
      data: { circle_id },
      success: (resdata) => {
        var res = resdata.data;
        if (res.result != 1) return app.tips(res.msg);
        let listData = this.data.listData;
        listData.splice(index, 1);
        this.setData({ listData });
      },
    });
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {},

  getListData() {
    this.initData();
    let urlStr = app.getNetAddresss("plugin.circle.frontend.circle.get-my-creation-circle-list");
    let { tabsIndex, tabStatusIndex } = this.data;
    let json = {};
    if (tabsIndex == 0) {
      json.is_review = tabStatusIndex;
    } else if (tabsIndex == 1) {
      urlStr = app.getNetAddresss("plugin.circle.frontend.circle.get-my-add-circle-list");
    }

    app._postNetWork({
      url: urlStr,
      data: json,
      success: (resdata) => {
        var res = resdata.data;
        if (res.result != 1) return app.tips(res.msg);
        this.data.total_page = res.data.last_page;
        if (!this.data.total_page) {
          this.data.total_page = 0;
        }
        this.setData({
          networkLoading: true,
          listData: res.data.data,
        });
      },
    });
  },

  //加载更多数据
  _getMoreData() {
    this.data.isLoadMore = false; // 防止多次请求分页数据
    if (this.data.page >= this.data.total_page) {
      // that.loading = true;
      return;
    } else {
      this.data.page += 1;
      let urlStr = app.getNetAddresss("plugin.circle.frontend.circle.get-my-creation-circle-list");
      let { tabsIndex, tabStatusIndex } = this.data;
      let json = { page: this.data.page };
      if (tabsIndex == 0) {
        json.is_review = tabStatusIndex;
      } else if (tabsIndex == 1) {
        urlStr = app.getNetAddresss("plugin.circle.frontend.circle.get-my-add-circle-list");
      }

      app._postNetWork({
        url: urlStr,
        data: json,
        success: (resdata) => {
          let res = resdata.data;
          this.data.isLoadMore = true;
          if (res.result === 1) {
            let listData = this.data.listData.concat(res.data.data);
            this.setData({ listData });
          } else {
            this.data.page = this.data.page - 1;
            this.data.isLoadMore = false;
          }
        },
      });
    }
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if (this.data.isLoadMore) {
      this._getMoreData();
    } else {
      console.log("没有更多数据");
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareTimeline(){},
  onShareAppMessage: function () {},
});
